Ruby 2.5.8

These docs were generated by RubyDocs.org.